
QGIS Application - Feature request #1306

Attribute table display problem when features already selected

2008-09-10 05:30 AM - cfarmer -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11366

Description

If a vector layer has features selected before opening it's attribute table, only those features previously selected are visible when the

attribute table is opened.

History

#1 - 2008-09-10 05:54 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to invalid

That's intentional.

#2 - 2008-09-10 09:45 AM - Maciej Sieczka -

- Status changed from Closed to Feedback

- Resolution deleted (invalid)

Replying to [comment:2 jef]:

That's intentional.

I also noticed the issue cfarmer reported and thought it was an error. Now that I learned it's intentional I find it at least counter intuitive.

Why not, instead, only navigate to the selected row, still leaving the rest of the table visible? As it is now, users will ask where has their data gone.

#3 - 2008-09-10 09:52 AM - Jürgen Fischer

See http://lists.osgeo.org/pipermail/qgis-developer/2008-August/004608.html

#4 - 2008-09-10 10:25 AM - Maciej Sieczka -

Confusing the user is not the way to solve performance issues with big tables IMO.

#5 - 2008-09-10 02:16 PM - Jürgen Fischer

Now the behaviour is configurable.  The attribute table either shows all featues (default), all selected features or all features in the current canvas.
#6 - 2008-11-08 11:10 AM - Jürgen Fischer

newly selected features that are not present in the attribute table are now added.

#7 - 2008-11-08 11:11 AM - Jürgen Fischer

in commit:227f3814 (SVN r9599) that is.

#8 - 2008-11-17 01:29 PM - Paolo Cavallini

I still have problems with this: once the table with selected elements is shown, how can a user select all the rows? Apparently pressing the first button has

no effect

#9 - 2008-11-18 03:58 AM - Jürgen Fischer

Replying to [comment:6 jef]:

Now the behaviour is configurable.  The attribute table either shows all featues (default), all selected features or all features in the current canvas.

Replying to [comment:9 pcav]:

I still have problems with this: once the table with selected elements is shown, how can a user select all the rows? Apparently pressing the first

button has no effect

The patch is still pending due to feature freeze.  Once it's applied your your problem would be solved, wouldn't it?

#10 - 2008-11-19 02:10 PM - Martin Dobias

I think that the current behaviour is not acceptable for most users. Showing only selected rows is quite misleading (without telling user what's going on). It

introduces new problems and it doesn't solve the real problem.

I vote for applying the patch before 1.0.

#11 - 2008-11-20 12:22 AM - Marco Hugentobler

Well, the solution for the real problem would be 'better table' I guess.

Looking closer at the patch, it seems quite unproblematic bug wise. Still we need to have the ok from the documentation team since it involves GUI

changes. 

And translations are also not aware of the additional string.

#12 - 2008-11-23 11:58 PM - Marco Hugentobler

I checked with Otto and it seems to be ok for the documentation team.

Jürgen, could you please apply the patch? It seems that it needs some small changes to apply it to current svn trunk.
Thanks,

Marco

#13 - 2008-11-24 01:26 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

applied in commit:43659ad8 (SVN r9690)

#14 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

bugfix1306.diff 5.22 KB 2008-09-10 Jürgen Fischer
